Skip to main content
GET
/
verifications
/
{uuid}
/
documents
/
{document_uuid}
Get verification document
curl --request GET \
  --url https://{subdomain}.truust.io/2.0/verifications/{uuid}/documents/{document_uuid} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "uuid": "<string>",
  "type": "IDENTITY_PROOF",
  "status": "CREATED",
  "refused_reason": "<string>",
  "url": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.truust.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Path Parameters

uuid
string
required

Verification UUID.

document_uuid
string
required

Response

200 - application/json

Document details

id
integer
uuid
string
type
enum<string>
Available options:
IDENTITY_PROOF,
REGISTRATION_PROOF,
ARTICLES_OF_ASSOCIATION,
SHAREHOLDER_DECLARATION,
ADDRESS_PROOF,
TAX_VERIFICATION,
BUSINESS_ADMINISTRATOR_ID,
COMPANY_REGISTRATION_PROOF,
BANK_VERIFICATION
status
enum<string>
Available options:
CREATED,
VALIDATED,
REFUSED
refused_reason
string | null
url
string<uri> | null
created_at
string<date-time> | null